net.sf.saxon.expr

## Class JPConverter.FromCollection

- java.lang.Object
- - net.sf.saxon.expr.JPConverter
  - - net.sf.saxon.expr.JPConverter.FromCollection

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    JPConverter

      public static class JPConverter.FromCollection
      extends JPConverter

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.sf.saxon.expr.JPConverter

      `JPConverter.FromBigDecimal, JPConverter.FromBigInteger, JPConverter.FromBoolean, JPConverter.FromBooleanArray, JPConverter.FromByte, JPConverter.FromByteArray, JPConverter.FromCharacter, JPConverter.FromCharArray, JPConverter.FromCollection, JPConverter.FromDate, JPConverter.FromDouble, JPConverter.FromDoubleArray, JPConverter.FromFloat, JPConverter.FromFloatArray, JPConverter.FromInt, JPConverter.FromIntArray, JPConverter.FromLong, JPConverter.FromLongArray, JPConverter.FromMap, JPConverter.FromObjectArray, JPConverter.FromQName, JPConverter.FromSequence, JPConverter.FromSequenceIterator, JPConverter.FromShort, JPConverter.FromShortArray, JPConverter.FromSource, JPConverter.FromString, JPConverter.FromURI, JPConverter.VoidConverter, JPConverter.WrapExternalObject`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static JPConverter.FromCollection` | `INSTANCE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JPConverter.FromCollection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Sequence` | `convert(Object object, XPathContext context)` Convert a Java object to an equivalent XPath value
    `int` | `getCardinality()` Get the cardinality of the XPath value that will result from the conversion
    `ItemType` | `getItemType()` Get the item type of the XPath value that will result from the conversion

    - ### Methods inherited from class net.sf.saxon.expr.JPConverter

      `allocate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final JPConverter.FromCollection INSTANCE

  - ### Constructor Detail

    - #### JPConverter.FromCollection

          public JPConverter.FromCollection()

  - ### Method Detail

    - #### convert

          public Sequence convert(Object object,
                         XPathContext context)
                           throws XPathException

      Description copied from class: `JPConverter`
      Convert a Java object to an equivalent XPath value
      Specified by:
        `convert` in class `JPConverter`
      Parameters:
        `object` - the java object to be converted
        `context` - the XPath dynamic evaluation context
      Returns:
        the XPath value resulting from the conversion
      Throws:
        `XPathException` - if the conversion is not possible or if it fails

    - #### getItemType

          public ItemType getItemType()

      Description copied from class: `JPConverter`
      Get the item type of the XPath value that will result from the conversion
      Specified by:
        `getItemType` in class `JPConverter`
      Returns:
        the XPath item type

    - #### getCardinality

          public int getCardinality()

      Get the cardinality of the XPath value that will result from the conversion
      Overrides:
        `getCardinality` in class `JPConverter`
      Returns:
        the cardinality of the result

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.